--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: (c)
comment: 
- !ruby/struct:SM::Flow::P 
  body: Instantiate a new Contact of the given kind and send it to the block. Then prepare, validate, and record the Contact.
- !ruby/struct:SM::Flow::VERB 
  body: "  <tt>kind</tt> is the contact class specifier\n"
- !ruby/struct:SM::Flow::P 
  body: Aborts on invalid kind
- !ruby/struct:SM::Flow::VERB 
  body: "          duplicate contact name\n          invalid contact\n          conflicting group name\n"
- !ruby/struct:SM::Flow::P 
  body: Returns nothing
full_name: God::contact
is_singleton: true
name: contact
params: (kind) {|c| ...}
visibility: public
